From 9b276ee1ec6573cacd436acf5a43b2c81706088a Mon Sep 17 00:00:00 2001
From: Syed Mohammed Khasim <khasim@ti.com>
Date: Thu, 19 Feb 2009 11:52:22 +0530
Subject: [PATCH] Updated default configuration file for beagleboard

Signed-off-by: Syed Mohammed Khasim <khasim@ti.com>
Signed-off-by: Jason Kridner <jkridner@beagleboard.org>
---
 include/configs/omap3_beagle.h |   34 +++++++++++++++++++++++++---------
 1 files changed, 25 insertions(+), 9 deletions(-)

diff --git a/include/configs/omap3_beagle.h b/include/configs/omap3_beagle.h
index f5c22f1..e8e1a7b 100644
--- a/include/configs/omap3_beagle.h
+++ b/include/configs/omap3_beagle.h
@@ -175,27 +175,39 @@
 #define CONFIG_BOOTDELAY		10
 
 #define CONFIG_EXTRA_ENV_SETTINGS \
-	"loadaddr=0x82000000\0" \
+	"loadaddr=0x80200000\0" \
+	"rdaddr=0x81600000\0" \
 	"console=ttyS2,115200n8\0" \
-	"videomode=1024x768@60,vxres=1024,vyres=768\0" \
-	"videospec=omapfb:vram:2M,vram:4M\0" \
+	"optargs=\0" \
 	"mmcargs=setenv bootargs console=${console} " \
-		"video=${videospec},mode:${videomode} " \
+		"${optargs} " \
 		"root=/dev/mmcblk0p2 rw " \
 		"rootfstype=ext3 rootwait\0" \
-	"nandargs=setenv bootargs console=${console} " \
-		"video=${videospec},mode:${videomode} " \
+	"ramargs=setenv bootargs console=${console} " \
+		"${optargs} " \
+		"root=/dev/ram0 rw " \
+		"ramdisk_size=32768 initrd=${rdaddr},32M\0" \
+	"ubifsargs=setenv bootargs console=${console} " \
+		"${optargs} " \
+		"root=ubi0:beagleroot ubi.mtd=4 rw " \
+		"rootfstype=ubifs\0" \
+	"jffs2args=setenv bootargs console=${console} " \
+		"${optargs} " \
 		"root=/dev/mtdblock4 rw " \
 		"rootfstype=jffs2\0" \
 	"loadbootscript=fatload mmc 0 ${loadaddr} boot.scr\0" \
 	"bootscript=echo Running bootscript from mmc ...; " \
 		"autoscr ${loadaddr}\0" \
-	"loaduimage=fatload mmc 0 ${loadaddr} uImage\0" \
+	"loaduimage=fatload mmc 0 ${loadaddr} uImage.bin\0" \
+	"loadramdisk=fatload mmc 0 ${rdaddr} ramdisk.gz\0" \
+	"ramboot=echo Booting from ramdisk.gz ...; " \
+		"run ramargs; " \
+		"bootm ${loadaddr}\0" \
 	"mmcboot=echo Booting from mmc ...; " \
 		"run mmcargs; " \
 		"bootm ${loadaddr}\0" \
 	"nandboot=echo Booting from nand ...; " \
-		"run nandargs; " \
+		"run jffs2args; " \
 		"nand read ${loadaddr} 280000 400000; " \
 		"bootm ${loadaddr}\0" \
 	"usbtty=cdc_acm\0"\
@@ -209,7 +221,11 @@
 			"run bootscript; " \
 		"else " \
 			"if run loaduimage; then " \
-				"run mmcboot; " \
+				"if run loadramdisk; then " \
+					"run ramboot; " \
+				"else " \
+					"run mmcboot; " \
+				"fi; " \
 			"else run nandboot; " \
 			"fi; " \
 		"fi; " \
-- 
1.5.3.5

